Create new topic
curl --request POST \
--url https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/topics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "User Interface Improvements",
"description": "General insight related to UI/UX improvements",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"opportunityIds": [
"d4e71c2b-a498-42af-b7f5-69de06a0d7c4"
],
"insightIds": [
"d4e71c2b-a498-42af-b7f5-69de06a0d7c4"
]
}
'import requests
url = "https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/topics"
payload = {
"title": "User Interface Improvements",
"description": "General insight related to UI/UX improvements",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"opportunityIds": ["d4e71c2b-a498-42af-b7f5-69de06a0d7c4"],
"insightIds": ["d4e71c2b-a498-42af-b7f5-69de06a0d7c4"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'User Interface Improvements',
description: 'General insight related to UI/UX improvements',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
opportunityIds: ['d4e71c2b-a498-42af-b7f5-69de06a0d7c4'],
insightIds: ['d4e71c2b-a498-42af-b7f5-69de06a0d7c4']
})
};
fetch('https://api.meetsquad.ai/organisations/{orgId}/workspaces/{workspaceId}/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "User Interface Improvements",
"description": "General insight related to UI/UX improvements",
"createdAt": "2025-03-26T22:35:46Z",
"updatedAt": "2025-03-26T22:35:46Z",
"opportunities": [],
"insights": []
}
}Topics
Create new topic
Creates a new topic in the specified workspace
POST
/
organisations
/
{orgId}
/
workspaces
/
{workspaceId}
/
topics
Create new topic
Authorizations
JWT authentication for organization-scoped endpoints.
Body
application/json
Request schema for creating a topic
Title of the topic
Example:
"User Interface Improvements"
Description of the topic
Example:
"General insight related to UI/UX improvements"
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$List of opportunity IDs associated with the topic
Example:
["d4e71c2b-a498-42af-b7f5-69de06a0d7c4"]
List of insight IDs associated with the topic
Example:
["d4e71c2b-a498-42af-b7f5-69de06a0d7c4"]
Response
Topic created successfully
Response containing a single topic
Topic data
Show child attributes
Show child attributes
⌘I